Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputMessageDocument

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageDocument

Enclosing class:
  TdApi

public static final class TdApi.InputMessageDocument extends TdApi.InputMessageContent
A document message (general file).

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.FormattedText`
`caption`
Document caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`disableContentTypeDetection`
Pass true to disable automatic file type detection and send the document as a file.
`TdApi.InputFile`
`document`
Document to be sent.
`TdApi.InputThumbnail`
`thumbnail`
Document thumbnail; pass null to skip thumbnail uploading.

## Constructor Summary

Constructors
Constructor
Description
`InputMessageDocument()`
A document message (general file).
`InputMessageDocument(TdApi.InputFile document, TdApi.InputThumbnail thumbnail, boolean disableContentTypeDetection, TdApi.FormattedText caption)`
A document message (general file).
`InputMessageDocument(DataInput input)`
A document message (general file).

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### document

public TdApi.InputFile document
Document to be sent.

### thumbnail

public TdApi.InputThumbnail thumbnail
Document thumbnail; pass null to skip thumbnail uploading.

### disableContentTypeDetection

public boolean disableContentTypeDetection
Pass true to disable automatic file type detection and send the document as a file. Always true for files sent to secret chats.

### caption

public TdApi.FormattedText caption
Document caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InputMessageDocument

public InputMessageDocument()
A document message (general file).

### InputMessageDocument

public InputMessageDocument(TdApi.InputFile document, TdApi.InputThumbnail thumbnail, boolean disableContentTypeDetection, TdApi.FormattedText caption)
A document message (general file).

Parameters:
  `document` - Document to be sent.
  `thumbnail` - Document thumbnail; pass null to skip thumbnail uploading.
  `disableContentTypeDetection` - Pass true to disable automatic file type detection and send the document as a file. Always true for files sent to secret chats.
  `caption` - Document caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

### InputMessageDocument

public InputMessageDocument(DataInput input) throws IOException
A document message (general file).

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`